Skip to main content
GET
https://{tenantDomain}/api/v2
/
flows
/
{flow_id}
/
executions
/
{execution_id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Flows;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Flows.Executions.GetAsync(
            flowId: "flow_id",
            executionId: "execution_id",
            request: new GetFlowExecutionRequestParameters {
                Hydrate = new List<string>(){
                    "debug",
                }

            }
        );
    }

}
{
  "id": "<string>",
  "trace_id": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "journey_id": "<string>",
  "debug": {},
  "started_at": "2023-11-07T05:31:56Z",
  "ended_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_id
string
required

Flow id

Maximum string length: 30
execution_id
string
required

Flow execution id

Maximum string length: 30

Query Parameters

hydrate
enum<string>[]

Hydration param

Available options:
debug
Maximum string length: 5

Response

Flow execution successfully retrieved.

id
string<flow-execution-id>
required

Flow execution identifier

Maximum string length: 30
trace_id
string
required

Trace id

Required string length: 1 - 50
status
string
required

Execution status

Required string length: 1 - 50
created_at
string<date-time>
required

The ISO 8601 formatted date when this flow execution was created.

updated_at
string<date-time>
required

The ISO 8601 formatted date when this flow execution was updated.

journey_id
string

Journey id

Required string length: 1 - 50
debug
object

Flow execution debug.

started_at
string<date-time>

The ISO 8601 formatted date when this flow execution started.

ended_at
string<date-time>

The ISO 8601 formatted date when this flow execution ended.